\section{Calibration Manager\label{cm}}

The NOAO pipeline applications make use of a Calibration Manager (CM).
This server application is described in more detail by \citet{CM}.
In this document it is only necessary to understand that the CM
maintains a calibration library where calibration data and
processing rules are stored and retrieved.
The calibration data is indexed by instrument, detector, filter,
exposure time, and quality attributes.  In addition, there is
a range of applicable dates which are normally the time
when the data used to create the calibration was obtained.

Calibration rules are also maintained by the CM.  These are scripts
which are indexed by applicable dates.

